#!/usr/bin/perl
use warnings;
use strict;
use Test::More;
use Test::Exception;

if (system('which emu-g &>/dev/null') != 0) {
    plan skip_all => 'OS Inferno required';
} else {
    plan tests => 4;
}

use File::Temp qw( tempdir );
chomp(my $cwd=`pwd`);
$ENV{PATH} = "$cwd/blib/script:$ENV{PATH}";
$ENV{PERL5LIB} = "$cwd/blib:$ENV{PERL5LIB}";
chdir tempdir( CLEANUP => 1 )
    and system('narada-new') == 0
    or die "Unable to create project: $!";


is scalar `narada-emu a b               2>&1`, "Usage: narada-emu [command]\n";
is scalar `{ sleep 0.2; echo exit; } | narada-emu   2>&1`, "; exit\n";
is scalar `narada-emu "echo hello inferno"          2>&1`, "hello inferno\n";
is scalar `narada-emu "os -d . pwd"                 2>&1`, scalar `pwd`;

